Authentication Bypass Affecting io.jenkins.blueocean:blueocean-parent package, versions [,1.1.6)


0.0
medium
  • Attack Complexity

    Low

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • snyk-id

    SNYK-JAVA-IOJENKINSBLUEOCEAN-32224

  • published

    25 Apr 2018

  • disclosed

    8 Jul 2017

  • credit

    Cliff Meyers

How to fix?

Upgrade io.jenkins.blueocean:blueocean-parent to version 1.1.6 or higher.

Overview

[io.jenkins.blueocean:blueocean-parent](https://github.com/jenkinsci/blueocean-plugin is a reboot of the Jenkins CI/CD User Experience.

Affected versions of this package are vulnerable to Authentication Bypass. It did not properly check the current user’s authentication and authorization when configuring existing GitHub organization folders. This allowed users with read access to the GitHub organization folder to reconfigure it, including changing the GitHub API endpoint for the organization folder to an attacker-controlled server to obtain the GitHub access token, if the organization folder was initially created using Blue Ocean.